[arch-commits] Commit in valgrind/repos/extra-x86_64 (4 files)
Frederik Schwan
freswa at gemini.archlinux.org
Sun May 15 15:44:26 UTC 2022
Date: Sunday, May 15, 2022 @ 15:44:25
Author: freswa
Revision: 445836
archrelease: copy trunk to extra-x86_64
Added:
valgrind/repos/extra-x86_64/PKGBUILD
(from rev 445835, valgrind/trunk/PKGBUILD)
valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch
(from rev 445835, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
Deleted:
valgrind/repos/extra-x86_64/PKGBUILD
valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch
------------------------------------+
PKGBUILD | 242 +++++++++++++++++------------------
valgrind-3.7.0-respect-flags.patch | 26 +--
2 files changed, 134 insertions(+), 134 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-05-15 15:44:23 UTC (rev 445835)
+++ PKGBUILD 2022-05-15 15:44:25 UTC (rev 445836)
@@ -1,121 +0,0 @@
-# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-# Contributor: Dan McGee <dan at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-
-# README
-# this package requires glibc-debug to run the check() function
-# as -debug packages are not available in [core], it has to be applied manually
-# whenever the tests shall run
-#
-# For a fresh build:
-# $repo-x86_64-build -- -I ../../glibc/trunk/glibc-debug*.pkg.tar.zst
-# $repo-x86_64-build
-# ${repo}pkg
-
-pkgname=valgrind
-pkgver=3.19.0
-pkgrel=2
-pkgdesc='Tool to help find memory-management problems in programs'
-arch=('x86_64')
-license=('GPL')
-url='http://valgrind.org/'
-depends=('glibc' 'perl')
-makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'docbook-xml'
- 'docbook-xsl' 'docbook-sgml')
-checkdepends=('procps-ng')
-optdepends=('lib32-glibc: 32-bit ABI support')
-provides=('valgrind-multilib')
-replaces=('valgrind-multilib')
-options=('!emptydirs' '!strip')
-source=(https://sourceware.org/pub/valgrind/valgrind-${pkgver}.tar.bz2{,.asc}
- valgrind-3.7.0-respect-flags.patch)
-validpgpkeys=(
- 0E9FFD0C16A1856CF9C7C690BA0166E698FA6035 # Julian Seward <jseward at acm.org>
- EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A # Mark Wielaard <mjw at gnu.org>
-)
-sha512sums=('f720a89dc4c4989cc5714bff9efe97529f71990bcfad7a92b889ce099c4326d6da07fa4d5fbab2e9125e20f352354f6178471e49e419b613a3c82c2a1c667ab2'
- 'SKIP'
- 'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c')
-b2sums=('d3ccd25789ec4d87a0ddab58d8098246a33a083505b42adaa94ee3af659cbe073e516bc98163ef56233e6cd9de2125839b71ee443fbc0db6557dcb35a6c05280'
- 'SKIP'
- 'af556fdf3c02e37892bfe9afebc954cf2f1b2fa9b75c1caacfa9f3b456ebc02bf078475f9ee30079b3af5d150d41415a947c3d04235c1ea8412cf92b959c484a')
-options=(!lto) # https://bugs.kde.org/show_bug.cgi?id=338252
-
-prepare() {
- cd valgrind-${pkgver}
- patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
- sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2-nons|' docs/Makefile.am
-
- autoreconf -ifv
-}
-
-build() {
- # valgrind does not like some of our flags
- CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
- CFLAGS=${CFLAGS/-fno-plt/}
- CXXFLAGS=${CXXFLAGS/-fno-plt/}
-
- cd valgrind-${pkgver}
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --libexecdir=/usr/lib \
- --mandir=/usr/share/man
- make
- make -C docs man-pages
-}
-
-check() {
- # only run if glibc-debug is supplied manually
- if ! pacman -Q glibc-debug; then echo -e "\033[1;31mcheck() not run, supply glibc-debug if unintended!\033[0m"; return 0; fi
-
- cd valgrind-${pkgver}
-
- # Make sure a basic binary runs. There should be no errors.
- ./vg-in-place --error-exitcode=1 /bin/true
-
- # Make sure no extra FLAGS leak through, the testsuite
- # sets all flags necessary. See also configure above.
- make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
-
- # XXX: run full regtest but only report issues some tests fail duo
- # current toolchain and expectations, take a manual look if its fine
- #echo "===============TESTING==================="
- #make regtest || true
-
- # Make sure test failures show up in build.log
- # Gather up the diffs (at most the first 20 lines for each one)
- #local f max_lines=20 diff_files=()
- #mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
- #if (( ${#diff_files[@]} == 0 )); then
- #echo "Congratulations, all tests passed!"
- #else
- #warning "Some tests failed!"
- #for f in "${diff_files[@]}"; do
- #echo "================================================="
- #echo "${f}"
- #echo "================================================="
- #if (( $(wc -l < "${f}") < ${max_lines} )); then
- #cat "${f}"
- #else
- #head -n ${max_lines} "${f}"
- #echo "<truncated beyond ${max_lines} lines>"
- #fi
- #done | tee diffs
- #fi
- #echo "===============END TESTING==============="
-}
-
-package() {
- cd valgrind-${pkgver}
- make DESTDIR="${pkgdir}" install
-
- install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"
-
- if check_option 'debug' n; then
- find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || :
- fi
-}
-
-# vim: ts=2 sw=2 et:
Copied: valgrind/repos/extra-x86_64/PKGBUILD (from rev 445835, valgrind/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-05-15 15:44:25 UTC (rev 445836)
@@ -0,0 +1,121 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Dan McGee <dan at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+
+# README
+# this package requires glibc-debug to run the check() function
+# as -debug packages are not available in [core], it has to be applied manually
+# whenever the tests shall run
+#
+# For a fresh build:
+# $repo-x86_64-build -- -I ../../glibc/trunk/glibc-debug*.pkg.tar.zst
+# $repo-x86_64-build
+# ${repo}pkg
+
+pkgname=valgrind
+pkgver=3.19.0
+pkgrel=3
+pkgdesc='Tool to help find memory-management problems in programs'
+arch=('x86_64')
+license=('GPL')
+url='http://valgrind.org/'
+depends=('glibc' 'perl' 'debuginfod')
+makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'docbook-xml'
+ 'docbook-xsl' 'docbook-sgml')
+checkdepends=('procps-ng')
+optdepends=('lib32-glibc: 32-bit ABI support')
+provides=('valgrind-multilib')
+replaces=('valgrind-multilib')
+options=('!emptydirs' '!strip')
+source=(https://sourceware.org/pub/valgrind/valgrind-${pkgver}.tar.bz2{,.asc}
+ valgrind-3.7.0-respect-flags.patch)
+validpgpkeys=(
+ 0E9FFD0C16A1856CF9C7C690BA0166E698FA6035 # Julian Seward <jseward at acm.org>
+ EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A # Mark Wielaard <mjw at gnu.org>
+)
+sha512sums=('f720a89dc4c4989cc5714bff9efe97529f71990bcfad7a92b889ce099c4326d6da07fa4d5fbab2e9125e20f352354f6178471e49e419b613a3c82c2a1c667ab2'
+ 'SKIP'
+ 'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c')
+b2sums=('d3ccd25789ec4d87a0ddab58d8098246a33a083505b42adaa94ee3af659cbe073e516bc98163ef56233e6cd9de2125839b71ee443fbc0db6557dcb35a6c05280'
+ 'SKIP'
+ 'af556fdf3c02e37892bfe9afebc954cf2f1b2fa9b75c1caacfa9f3b456ebc02bf078475f9ee30079b3af5d150d41415a947c3d04235c1ea8412cf92b959c484a')
+options=(!lto) # https://bugs.kde.org/show_bug.cgi?id=338252
+
+prepare() {
+ cd valgrind-${pkgver}
+ patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
+ sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2-nons|' docs/Makefile.am
+
+ autoreconf -ifv
+}
+
+build() {
+ # valgrind does not like some of our flags
+ CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
+ CFLAGS=${CFLAGS/-fno-plt/}
+ CXXFLAGS=${CXXFLAGS/-fno-plt/}
+
+ cd valgrind-${pkgver}
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --mandir=/usr/share/man
+ make
+ make -C docs man-pages
+}
+
+check() {
+ # only run if glibc-debug is supplied manually
+ if ! pacman -Q glibc-debug; then echo -e "\033[1;31mcheck() not run, supply glibc-debug if unintended!\033[0m"; return 0; fi
+
+ cd valgrind-${pkgver}
+
+ # Make sure a basic binary runs. There should be no errors.
+ ./vg-in-place --error-exitcode=1 /bin/true
+
+ # Make sure no extra FLAGS leak through, the testsuite
+ # sets all flags necessary. See also configure above.
+ make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
+
+ # XXX: run full regtest but only report issues some tests fail duo
+ # current toolchain and expectations, take a manual look if its fine
+ #echo "===============TESTING==================="
+ #make regtest || true
+
+ # Make sure test failures show up in build.log
+ # Gather up the diffs (at most the first 20 lines for each one)
+ #local f max_lines=20 diff_files=()
+ #mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
+ #if (( ${#diff_files[@]} == 0 )); then
+ #echo "Congratulations, all tests passed!"
+ #else
+ #warning "Some tests failed!"
+ #for f in "${diff_files[@]}"; do
+ #echo "================================================="
+ #echo "${f}"
+ #echo "================================================="
+ #if (( $(wc -l < "${f}") < ${max_lines} )); then
+ #cat "${f}"
+ #else
+ #head -n ${max_lines} "${f}"
+ #echo "<truncated beyond ${max_lines} lines>"
+ #fi
+ #done | tee diffs
+ #fi
+ #echo "===============END TESTING==============="
+}
+
+package() {
+ cd valgrind-${pkgver}
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"
+
+ if check_option 'debug' n; then
+ find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || :
+ fi
+}
+
+# vim: ts=2 sw=2 et:
Deleted: valgrind-3.7.0-respect-flags.patch
===================================================================
--- valgrind-3.7.0-respect-flags.patch 2022-05-15 15:44:23 UTC (rev 445835)
+++ valgrind-3.7.0-respect-flags.patch 2022-05-15 15:44:25 UTC (rev 445836)
@@ -1,13 +0,0 @@
-diff -Naur valgrind-3.7.0.orig//mpi/Makefile.am valgrind-3.7.0/mpi/Makefile.am
---- valgrind-3.7.0.orig/mpi/Makefile.am 2011-10-26 17:24:23.000000000 -0400
-+++ valgrind-3.7.0/mpi/Makefile.am 2011-11-10 16:03:14.000000000 -0500
-@@ -7,9 +7,6 @@
- CC = $(MPI_CC)
- DEFS =
- DEFAULT_INCLUDES =
--CPPFLAGS =
--CFLAGS =
--LDFLAGS =
-
- EXTRA_DIST = \
- mpiwrap_type_test.c
Copied: valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch (from rev 445835, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
===================================================================
--- valgrind-3.7.0-respect-flags.patch (rev 0)
+++ valgrind-3.7.0-respect-flags.patch 2022-05-15 15:44:25 UTC (rev 445836)
@@ -0,0 +1,13 @@
+diff -Naur valgrind-3.7.0.orig//mpi/Makefile.am valgrind-3.7.0/mpi/Makefile.am
+--- valgrind-3.7.0.orig/mpi/Makefile.am 2011-10-26 17:24:23.000000000 -0400
++++ valgrind-3.7.0/mpi/Makefile.am 2011-11-10 16:03:14.000000000 -0500
+@@ -7,9 +7,6 @@
+ CC = $(MPI_CC)
+ DEFS =
+ DEFAULT_INCLUDES =
+-CPPFLAGS =
+-CFLAGS =
+-LDFLAGS =
+
+ EXTRA_DIST = \
+ mpiwrap_type_test.c
More information about the arch-commits
mailing list